
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelN11BulkExporter;
import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlCustomData;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.eml.AbstractNlWasEml510xNachGebietErgebniseingabestatusExportMapper;

public abstract class AbstractNlWasModelN11Eml510xExportMapper extends AbstractNlWasEml510xNachGebietErgebniseingabestatusExportMapper implements NlWasModelN11ExportMapper {

  public AbstractNlWasModelN11Eml510xExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptWahlergebniserfassung(Wahl wahl, Customer customer) {
    return !wahl.getCustomData(NlWahlCustomData.class).isZentraleErfassung(); // ELECT-9953, ist das Gegenstück zu Model II bei DEZENTRALER Erfassung...
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelN11BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }
}
